// To parse this JSON data, do
//
//     final specificationModel = specificationModelFromJson(jsonString);

import 'dart:convert';

SpecificationModel specificationModelFromJson(String str) => SpecificationModel.fromJson(json.decode(str));

String specificationModelToJson(SpecificationModel data) => json.encode(data.toJson());

class SpecificationModel {
  SpecificationModel({
    this.specification,
  });

  List<Specification> specification;

  factory SpecificationModel.fromJson(Map<String, dynamic> json) => SpecificationModel(
    specification: List<Specification>.from(json["specification"].map((x) => Specification.fromJson(x))),
  );

  Map<String, dynamic> toJson() => {
    "specification": List<dynamic>.from(specification.map((x) => x.toJson())),
  };
}

class Specification {
  Specification({
    this.id,
    this.displayOrder,
    this.defaultValue,
    this.defaultValuen,
    this.name,
    this.nameN,
  });

  int id;
  int displayOrder;
  String defaultValue;
  String defaultValuen;
  String name;
  String nameN;

  factory Specification.fromJson(Map<String, dynamic> json) => Specification(
    id: json["id"],
    displayOrder: json["display_order"],
    defaultValue: json["default_value"],
    defaultValuen: json["default_valuen"],
    name: json["name"],
    nameN: json["nameN"],
  );

  Map<String, dynamic> toJson() => {
    "id": id,
    "display_order": displayOrder,
    "default_value": defaultValue,
    "default_valuen": defaultValuen,
    "name": name,
    "nameN": nameN,
  };
}
